DNF5-INSTALL(8)

NUME
dnf5-install - comanda «install»

SINOPSIS

dnf5 install [opțiuni] <NPFB-specificație-pachet>|@<specificație-grup>|@<specificație-mediu>...

DESCRIERE

Comanda install din DNF5 este utilizată pentru a instala pachete, grupuri sau medii.

La instalarea pachetelor definite în argumentele NPFB-specificație-pachet, DNF5 se asigură că pachetele și dependențele acestora sunt instalate în sistem. Dacă pachetele specificate sunt deja instalate, DNF5 nu verifică din nou dependențele acestora și verifică doar dacă pachetele în sine sunt prezente.

Când se indică NPFB-specificație-pachet pentru a specifica versiunea exactă a pachetului, DNF va instala versiunea dorită, indiferent care versiune a pachetului este deja instalată. Versiunea anterioară a pachetului va fi eliminată în cazul pachetului care nu are directiva „installonly”.

Pe de altă parte, dacă NPFB-specificație-pachet specifică doar un nume și este activată opțiunea „obsoletes”, DNF ia în considerare și pachetele care depășesc acel nume. Rețineți că acest lucru poate duce la rezultate aparent neașteptate dacă versiunea unui pachet instalat este învechită și pachetul instalat are, de asemenea, o versiune mai nouă disponibilă. Se creează o divizare în calea de actualizare și ambele moduri sunt considerate corecte, pachetul rezultat fiind selectat pur și simplu prin ordine lexicografică.

La instalarea grupurilor definite în argumentele specificație-grup, DNF5 se asigură că grupurile și pachetele lor sunt instalate în sistem. Instalează numai pachetele grupurilor care corespund tipului de pachet configurat. Consultați dnf5.conf(5), group_package_types <#group-package-types-options-label>.

La instalarea mediilor definite în argumentele specificație-mediu, DNF5 se asigură că mediile și grupurile lor sunt instalate în sistem.

OPȚIUNI

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

    --skip-broken
        Rezolvă orice problemă de dependență prin eliminarea pachetelor care cauzează probleme din tranzacție.

    --skip-unavailable
        Permite omiterea pachetelor care nu sunt disponibile în depozite. Vor fi instalate toate pachetele disponibile.

    --allow-downgrade
        Activează retrogradarea dependențelor la rezolvarea operației solicitate.

    --no-allow-downgrade
        Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.

    --from-repo=ID_DEPOZIT,...
        Pachetele (sau furnizorii acestora) specificate explicit în linia de comandă vor fi căutate numai în depozitele specificate.
        Aceste depozite sunt activate automat.
        Activarea și dezactivarea depozitelor se aplică în continuare. Dependențele acestor pachete vor fi rezolvate din orice depozit activat.

    --from-repo=FURNIZOR...
        Lista furnizorilor separați prin virgule sau spații. Sunt acceptate caracterele globale (de exemplu, --from-vendor='Fedora\ project, furnizorA, furnizorB*, furnizorC').
        Pachetele (sau furnizorii acestora) specificați în mod explicit în linia de comandă vor fi căutați numai la furnizorii specificați.
        Verificarea schimbării furnizorului este ocolită pentru aceste pachete.
        Furnizorul este ignorat sau politicile de schimbare a furnizorului (dacă allow_vendor_change=0) vor fi în continuare utilizate pentru pachetele care satisfac dependențele.

    --downloadonly
        Descarcă setul de pachete rezolvat fără a executa o tranzacție RPM.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune „offline”. A se vedea comanda «offline» <#offline-command-ref-label>, dnf5-offline(8).

    --store=RUTA
        Stochează tranzacția curentă într-un director la RUTA specificată, în loc să o execute.
        Tranzacția stocată poate fi executată prin comanda <#replay-command-ref-label>, dnf5-replay(8).
        Rețineți că ID-urile depozitelor din tranzacția stocată sunt modificate în @stored_transaction(repo_id); acest lucru este necesar
        deoarece, în timpul reluării, depozitele stocate sunt recreate și pot intra în conflict cu depozitele deja existente
        (acest lucru nu se aplică depozitului special @System).

    --advisories=NUME_AVIZ,...
        Include conținutul conținut în avize cu numele specificat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-urile avizelor, de exemplu FEDORA-2201-123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz existent în listă; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --advisory-severities=GRAVITATE_AVIZ,...
        Include conținutul conținut în avize cu severitatea specificată.
        Aceasta este o opțiune de listă.
        Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

    --bzs=ID_BUGZILLA,...
        Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --cves=ID_CVE,...
        Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --security
        Include conținutul conținut în avizele de securitate.

    --bugfix
        Include conținutul conținut în avizele de remediere a erorilor.

    --enhancement
        Include conținutul conținut în avizele de îmbunătățire.

    --newpackage
        Include conținutul conținut în avizele de pachete noi.

EXEMPLE

    dnf5 install tito
        Instalează pachetul tito.

    dnf5 install ~/Downloads/tito-0.6.21-1.fc36.noarch.rpm
        Instalează fișierul rpm local din locația dată.

    dnf5 install tito-0.6.21-1.fc36
        Instalează pachetul tito în versiunea definită.
        Dacă pachetul este deja instalat, aceasta va încerca automat să facă o retrogradare sau o actualizare la versiunea dată.

    dnf5 install --advisory=FEDORA-2022-07aa56297a \*
        Instalează toate pachetele care aparțin avizului FEDORA-2022-07aa56297a.

CONSULTAȚI ȘI
        dnf5-advisory(8), Co,manda «advisory» <#advisory-command-ref-label>
        dnf5-specs(7), Specificația modelelor  <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.